package xyz.wbsite.dbtool.javafx.po;

import xyz.wbsite.dbtool.javafx.enums.DataBase;
import xyz.wbsite.dbtool.javafx.enums.FieldType;

public abstract class AbstractDBmapper {
    DataBase mDataBase = null;

    private AbstractDBmapper(){

    }

    public AbstractDBmapper(DataBase mDataBase) {
        this.mDataBase = mDataBase;
    }

    DataBase getDataBase(){
        return mDataBase;
    }

    public abstract String getDataBaseType(FieldType type);
    abstract String getFieldSql(Field field);
    public abstract FieldType getType(String type, int lenght, int precision, int scale);
}
